=head1 NAME

Gtk2::Gdk::Cursor

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::Gdk::Cursor



=cut


=head1 METHODS

=head2 cursor = Gtk2::Gdk::Cursor-E<gt>B<new> ($cursor_type)

=over

=item * $cursor_type (Gtk2::Gdk::CursorType) 

=back

=head2 cursor = Gtk2::Gdk::Cursor-E<gt>B<new_for_display> ($display, $cursor_type)

=over

=item * $display (Gtk2::Gdk::Display) 

=item * $cursor_type (Gtk2::Gdk::CursorType) 

=back

Since: gtk+ 2.2

=head2 cursor = Gtk2::Gdk::Cursor-E<gt>B<new_from_name> ($display, $name)

=over

=item * $display (Gtk2::Gdk::Display) 

=item * $name (string) 

=back

Since: gtk+ 2.8

=head2 cursor = Gtk2::Gdk::Cursor-E<gt>B<new_from_pixbuf> ($display, $pixbuf, $x, $y)

=over

=item * $display (Gtk2::Gdk::Display) 

=item * $pixbuf (Gtk2::Gdk::Pixbuf) 

=item * $x (integer) 

=item * $y (integer) 

=back

Since: gtk+ 2.4

=head2 cursor = Gtk2::Gdk::Cursor-E<gt>B<new_from_pixmap> ($source, $mask, $fg, $bg, $x, $y)

=over

=item * $source (Gtk2::Gdk::Pixmap) 

=item * $mask (Gtk2::Gdk::Pixmap) 

=item * $fg (Gtk2::Gdk::Color) 

=item * $bg (Gtk2::Gdk::Color) 

=item * $x (integer) 

=item * $y (integer) 

=back

=head2 display = $cursor-E<gt>B<get_display> 

Since: gtk+ 2.2

=head2 pixbuf = $cursor-E<gt>B<get_image> 

Since: gtk+ 2.8

=head2 cursortype = $cursor-E<gt>B<type> 



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::Gdk::CursorType

=over

=item * 'x-cursor' / 'GDK_X_CURSOR'

=item * 'arrow' / 'GDK_ARROW'

=item * 'based-arrow-down' / 'GDK_BASED_ARROW_DOWN'

=item * 'based-arrow-up' / 'GDK_BASED_ARROW_UP'

=item * 'boat' / 'GDK_BOAT'

=item * 'bogosity' / 'GDK_BOGOSITY'

=item * 'bottom-left-corner' / 'GDK_BOTTOM_LEFT_CORNER'

=item * 'bottom-right-corner' / 'GDK_BOTTOM_RIGHT_CORNER'

=item * 'bottom-side' / 'GDK_BOTTOM_SIDE'

=item * 'bottom-tee' / 'GDK_BOTTOM_TEE'

=item * 'box-spiral' / 'GDK_BOX_SPIRAL'

=item * 'center-ptr' / 'GDK_CENTER_PTR'

=item * 'circle' / 'GDK_CIRCLE'

=item * 'clock' / 'GDK_CLOCK'

=item * 'coffee-mug' / 'GDK_COFFEE_MUG'

=item * 'cross' / 'GDK_CROSS'

=item * 'cross-reverse' / 'GDK_CROSS_REVERSE'

=item * 'crosshair' / 'GDK_CROSSHAIR'

=item * 'diamond-cross' / 'GDK_DIAMOND_CROSS'

=item * 'dot' / 'GDK_DOT'

=item * 'dotbox' / 'GDK_DOTBOX'

=item * 'double-arrow' / 'GDK_DOUBLE_ARROW'

=item * 'draft-large' / 'GDK_DRAFT_LARGE'

=item * 'draft-small' / 'GDK_DRAFT_SMALL'

=item * 'draped-box' / 'GDK_DRAPED_BOX'

=item * 'exchange' / 'GDK_EXCHANGE'

=item * 'fleur' / 'GDK_FLEUR'

=item * 'gobbler' / 'GDK_GOBBLER'

=item * 'gumby' / 'GDK_GUMBY'

=item * 'hand1' / 'GDK_HAND1'

=item * 'hand2' / 'GDK_HAND2'

=item * 'heart' / 'GDK_HEART'

=item * 'icon' / 'GDK_ICON'

=item * 'iron-cross' / 'GDK_IRON_CROSS'

=item * 'left-ptr' / 'GDK_LEFT_PTR'

=item * 'left-side' / 'GDK_LEFT_SIDE'

=item * 'left-tee' / 'GDK_LEFT_TEE'

=item * 'leftbutton' / 'GDK_LEFTBUTTON'

=item * 'll-angle' / 'GDK_LL_ANGLE'

=item * 'lr-angle' / 'GDK_LR_ANGLE'

=item * 'man' / 'GDK_MAN'

=item * 'middlebutton' / 'GDK_MIDDLEBUTTON'

=item * 'mouse' / 'GDK_MOUSE'

=item * 'pencil' / 'GDK_PENCIL'

=item * 'pirate' / 'GDK_PIRATE'

=item * 'plus' / 'GDK_PLUS'

=item * 'question-arrow' / 'GDK_QUESTION_ARROW'

=item * 'right-ptr' / 'GDK_RIGHT_PTR'

=item * 'right-side' / 'GDK_RIGHT_SIDE'

=item * 'right-tee' / 'GDK_RIGHT_TEE'

=item * 'rightbutton' / 'GDK_RIGHTBUTTON'

=item * 'rtl-logo' / 'GDK_RTL_LOGO'

=item * 'sailboat' / 'GDK_SAILBOAT'

=item * 'sb-down-arrow' / 'GDK_SB_DOWN_ARROW'

=item * 'sb-h-double-arrow' / 'GDK_SB_H_DOUBLE_ARROW'

=item * 'sb-left-arrow' / 'GDK_SB_LEFT_ARROW'

=item * 'sb-right-arrow' / 'GDK_SB_RIGHT_ARROW'

=item * 'sb-up-arrow' / 'GDK_SB_UP_ARROW'

=item * 'sb-v-double-arrow' / 'GDK_SB_V_DOUBLE_ARROW'

=item * 'shuttle' / 'GDK_SHUTTLE'

=item * 'sizing' / 'GDK_SIZING'

=item * 'spider' / 'GDK_SPIDER'

=item * 'spraycan' / 'GDK_SPRAYCAN'

=item * 'star' / 'GDK_STAR'

=item * 'target' / 'GDK_TARGET'

=item * 'tcross' / 'GDK_TCROSS'

=item * 'top-left-arrow' / 'GDK_TOP_LEFT_ARROW'

=item * 'top-left-corner' / 'GDK_TOP_LEFT_CORNER'

=item * 'top-right-corner' / 'GDK_TOP_RIGHT_CORNER'

=item * 'top-side' / 'GDK_TOP_SIDE'

=item * 'top-tee' / 'GDK_TOP_TEE'

=item * 'trek' / 'GDK_TREK'

=item * 'ul-angle' / 'GDK_UL_ANGLE'

=item * 'umbrella' / 'GDK_UMBRELLA'

=item * 'ur-angle' / 'GDK_UR_ANGLE'

=item * 'watch' / 'GDK_WATCH'

=item * 'xterm' / 'GDK_XTERM'

=item * 'last-cursor' / 'GDK_LAST_CURSOR'

=item * 'blank-cursor' / 'GDK_BLANK_CURSOR'

=item * 'cursor-is-pixmap' / 'GDK_CURSOR_IS_PIXMAP'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

